# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`uamsclient`](#uamsclient): Class for install and manage uamsclient
* [`uamsclient::container`](#uamsclient--container): Class for preparing container environment for tests
* [`uamsclient::params`](#uamsclient--params): Class containing default settings according to operating system
* [`uamsclient::set_package_manager`](#uamsclient--set_package_manager): Class for determining the package manager and package type for the OS.
* [`uamsclient::uninstall`](#uamsclient--uninstall): Class for UAMS Client uninstallation
* [`uamsclient::validate_inputs`](#uamsclient--validate_inputs): Class for validation user inputs

### Defined types

* [`uamsclient::environment_variable`](#uamsclient--environment_variable): Defines a environment variables

## Classes

### <a name="uamsclient"></a>`uamsclient`

Installs and configures UAMS Client

#### Parameters

The following parameters are available in the `uamsclient` class:

* [`uams_local_pkg_path`](#-uamsclient--uams_local_pkg_path)
* [`install_pkg_url`](#-uamsclient--install_pkg_url)
* [`dev_container_test`](#-uamsclient--dev_container_test)
* [`uamsclient_work_dir`](#-uamsclient--uamsclient_work_dir)
* [`uamsclient_ctl`](#-uamsclient--uamsclient_ctl)
* [`uams_access_token`](#-uamsclient--uams_access_token)
* [`swo_url`](#-uamsclient--swo_url)
* [`uams_metadata`](#-uamsclient--uams_metadata)
* [`uams_override_hostname`](#-uamsclient--uams_override_hostname)

##### <a name="-uamsclient--uams_local_pkg_path"></a>`uams_local_pkg_path`

Data type: `String[1]`

Path to temporary UAMS directory

Default value: `$uamsclient::params::uams_local_pkg_path`

##### <a name="-uamsclient--install_pkg_url"></a>`install_pkg_url`

Data type: `String[1]`

URL to UAMS Client installer

Default value: `$uamsclient::params::install_pkg_url`

##### <a name="-uamsclient--dev_container_test"></a>`dev_container_test`

Data type: `Boolean`

Indicates if it is a container installation

Default value: `$uamsclient::params::dev_container_test`

##### <a name="-uamsclient--uamsclient_work_dir"></a>`uamsclient_work_dir`

Data type: `String[1]`

Path to UAMS Client workdir

Default value: `$uamsclient::params::uamsclient_work_dir`

##### <a name="-uamsclient--uamsclient_ctl"></a>`uamsclient_ctl`

Data type: `String[1]`

Path to uamsclient-ctl binary

Default value: `$uamsclient::params::uamsclient_ctl`

##### <a name="-uamsclient--uams_access_token"></a>`uams_access_token`

Data type: `String[1]`

UAMS Client access token

Default value: `undef`

##### <a name="-uamsclient--swo_url"></a>`swo_url`

Data type: `String[1]`

SWO URL to the desired endpoint

Default value: `undef`

##### <a name="-uamsclient--uams_metadata"></a>`uams_metadata`

Data type: `Optional[String[1]]`

UAMS Client installation metadata

Default value: `undef`

##### <a name="-uamsclient--uams_override_hostname"></a>`uams_override_hostname`

Data type: `Optional[String[1]]`

Optional variable to set a custom Agent name. By default, Agent name is set to the hostname.

Default value: `undef`

### <a name="uamsclient--container"></a>`uamsclient::container`

Class for preparing container environment for tests

### <a name="uamsclient--params"></a>`uamsclient::params`

Class containing default settings according to operating system

### <a name="uamsclient--set_package_manager"></a>`uamsclient::set_package_manager`

Class for determining the package manager and package type for the OS.

### <a name="uamsclient--uninstall"></a>`uamsclient::uninstall`

Class for UAMS Client uninstallation

#### Parameters

The following parameters are available in the `uamsclient::uninstall` class:

* [`uams_local_pkg_path`](#-uamsclient--uninstall--uams_local_pkg_path)
* [`dev_container_test`](#-uamsclient--uninstall--dev_container_test)

##### <a name="-uamsclient--uninstall--uams_local_pkg_path"></a>`uams_local_pkg_path`

Data type: `String[1]`

Path to temporary UAMS directory

Default value: `$uamsclient::params::uams_local_pkg_path`

##### <a name="-uamsclient--uninstall--dev_container_test"></a>`dev_container_test`

Data type: `Boolean`

Indicates if it is a container installation

Default value: `$uamsclient::params::dev_container_test`

### <a name="uamsclient--validate_inputs"></a>`uamsclient::validate_inputs`

Class for validation user inputs

## Defined types

### <a name="uamsclient--environment_variable"></a>`uamsclient::environment_variable`

Defines a environment variables

#### Parameters

The following parameters are available in the `uamsclient::environment_variable` defined type:

* [`variable_name`](#-uamsclient--environment_variable--variable_name)
* [`value`](#-uamsclient--environment_variable--value)
* [`ensure`](#-uamsclient--environment_variable--ensure)

##### <a name="-uamsclient--environment_variable--variable_name"></a>`variable_name`

Data type: `String`

Name of environment variable

##### <a name="-uamsclient--environment_variable--value"></a>`value`

Data type: `String`

Value of environment variable

##### <a name="-uamsclient--environment_variable--ensure"></a>`ensure`

Data type: `Enum['absent', 'present']`

Sets or deletes the specified environment variable

Default value: `present`

